cdac.medinfo.model

## Class TestReport

- java.lang.Object
- - cdac.medinfo.model.TestReport

-     public class TestReport
      extends java.lang.Object

  This class specifies Test Reports for the Result Section. It contains the report of observations generated by laboratories, imaging procedures, and other procedures.

  This class has the following attributes:

  1. resultTypeCode (String)
  2. testName (String)
  3. range (String)
  4. unit (String)
  5. value (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestReport()` Constructs an object of Test Report
    `TestReport(java.lang.String resultTypeCode, java.lang.String testName, java.lang.String range, java.lang.String unit, java.lang.String value)` This parameterized constructor initializes the fields.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRange()` Returns the reference range for the report value.
    `java.lang.String` | `getResultTypeCode()` Returns the Result Type Code.
    `java.lang.String` | `getTestName()` Returns the Test type name
    `java.lang.String` | `getUnit()` Returns the unit of test result value.
    `java.lang.String` | `getValue()` Returns the test result values of the report.
    `void` | `setRange(java.lang.String range)` Sets the Reference range for the report value.
    `void` | `setResultTypeCode(java.lang.String resultTypeCode)` Sets the ResultTypeCode.
    `void` | `setTestName(java.lang.String testName)` Sets the Test Name name of a Result.
    `void` | `setUnit(java.lang.String unit)` Sets the unit of test result.
    `void` | `setValue(java.lang.String value)` Sets the value of test result value of the report

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestReport

          public TestReport()

      Constructs an object of Test Report

    - #### TestReport

          public TestReport(java.lang.String resultTypeCode,
                            java.lang.String testName,
                            java.lang.String range,
                            java.lang.String unit,
                            java.lang.String value)

      This parameterized constructor initializes the fields.
      Parameters:
        `resultTypeCode` - specifies the Result Type
        `testName` - specifies Test type name
        `range` - specifies reference range for the report value
        `unit` - specifies unit of test result value
        `value` - specifies specifes the test result value of the report

  - ### Method Detail

    - #### getResultTypeCode

          public java.lang.String getResultTypeCode()

      Returns the Result Type Code.
      Returns:
        the Result Type Code.

    - #### setResultTypeCode

          public void setResultTypeCode(java.lang.String resultTypeCode)

      Sets the ResultTypeCode.
      Parameters:
        `resultTypeCode` - specifies the type of Result

    - #### getTestName

          public java.lang.String getTestName()

      Returns the Test type name
      Returns:
        the name of type of Test

    - #### setTestName

          public void setTestName(java.lang.String testName)

      Sets the Test Name name of a Result.
      Parameters:
        `testName` - specifies the Test Type name

    - #### getRange

          public java.lang.String getRange()

      Returns the reference range for the report value.
      Returns:
        the reference range for the report value.

    - #### setRange

          public void setRange(java.lang.String range)

      Sets the Reference range for the report value.
      Parameters:
        `range` - specifies the reference range for the report value

    - #### getUnit

          public java.lang.String getUnit()

      Returns the unit of test result value.
      Returns:
        the unit of test result value.

    - #### setUnit

          public void setUnit(java.lang.String unit)

      Sets the unit of test result.
      Parameters:
        `unit` - specifies the unit of test result

    - #### getValue

          public java.lang.String getValue()

      Returns the test result values of the report.
      Returns:
        the test result values of the report.

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of test result value of the report
      Parameters:
        `value` - specifes the test result value of the report